Bug 11614 - Untranslatable label_element_title in label management
Summary: Untranslatable label_element_title in label management
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-27 10:15 UTC by paxed
Modified: 2015-06-04 23:33 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11614: Untranslatable label_element_title in label management (3.19 KB, patch)
2014-08-15 01:18 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 11614: Untranslatable label_element_title in label management (3.26 KB, patch)
2014-08-15 02:03 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 11614: Untranslatable label_element_title in label management (3.31 KB, patch)
2014-08-15 17:38 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2014-01-27 10:15:36 UTC
The page header says "Currently available [% label_element_title %]", where label_element_title is one of "Batches", "Layouts", "Templates", or "Profiles", and thatose single words are not translatable.

Hard-coded in labels/label-manage.pl
Comment 1 Bernardo Gonzalez Kriegel 2014-08-15 01:18:40 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2014-08-15 02:03:33 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2014-08-15 17:38:28 UTC
Created attachment 30858 [details] [review]
[PASSED QA] Bug 11614: Untranslatable label_element_title in label management

This patch makes those strings translatable.
Title now depends on element, all on TT file,
removed from pl file

To test:
1. Apply the patch
2. Go to Tools > Label creator
3. Clic on Manage layouts, templates, profilesor batches,
title of currently available must show with fixed
capitalization
4. Update translation languages and check new entries
msgid "Currently available batches"
msgid "Currently available layouts"
msgid "Currently available profiles"
msgid "Currently available templates

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2014-08-19 12:43:05 UTC
Patch pushed to master.

Thanks Bernardo!